\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Point Set Processing

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::internal::Ply_read_char Class Reference

`#include <CGAL/IO/read_ply_points.h>`

## Inherits from

CGAL::internal::Ply_read_number.

## Public Member Functions
| Ply_read_char (std::string name, std::size_t format)
double | operator() (std::istream &stream) const
Public Member Functions inherited from CGAL::internal::Ply_read_number
| Ply_read_number (std::string name, std::size_t format)
virtual | ~Ply_read_number ()
const std::string & | name () const
void | read_ascii (std::istream &stream, boost::int8_t &c) const
void | read_ascii (std::istream &stream, boost::uint8_t &c) const
template<typename Type >
void | read_ascii (std::istream &stream, Type &t) const
template<typename Type >
Type | read (std::istream &stream) const

## Additional Inherited Members
Protected Attributes inherited from CGAL::internal::Ply_read_number
std::string | m_name
std::size_t | m_format